- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Hierarchy
- Class Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Public Member Functions | Public Attributes | List of all members
AL::Math::glTF::Document Class Reference

`#include <gltf.h>`

## Public Member Functions
size_t | add (const Buffer &v)
size_t | add (const BufferView &v)
template<typename T , DataType DTYPE>
size_t | add (const Accessor< T, DTYPE > &v)
size_t | add (const Mesh &v)
size_t | add (const Node &v)
size_t | add (const Scene &v)
size_t | add (const Animation &v)
void | writeJSON (std::ostream &os) const

## Public Attributes
std::vector< std::string > | buffers
std::vector< std::string > | bufferViews
std::vector< std::string > | accessors
std::vector< std::string > | materials
std::vector< std::string > | meshes
std::vector< std::string > | cameras
std::vector< std::string > | nodes
std::vector< std::string > | scenes
std::vector< Animation > | animations
boost::optional< size_t > | scene

## Detailed Description

Definition at line 611 of file gltf.h.

## Member Function Documentation

size_t AL::Math::glTF::Document::add | ( | const Buffer & | v | ) |
| inline

Definition at line 629 of file gltf.h.

size_t AL::Math::glTF::Document::add | ( | const BufferView & | v | ) |
| inline

Definition at line 631 of file gltf.h.

template<typename T , DataType DTYPE>

size_t AL::Math::glTF::Document::add | ( | const Accessor< T, DTYPE > & | v | ) |
| inline

Definition at line 634 of file gltf.h.

size_t AL::Math::glTF::Document::add | ( | const Mesh & | v | ) |
| inline

Definition at line 636 of file gltf.h.

size_t AL::Math::glTF::Document::add | ( | const Node & | v | ) |
| inline

Definition at line 638 of file gltf.h.

size_t AL::Math::glTF::Document::add | ( | const Scene & | v | ) |
| inline

Definition at line 640 of file gltf.h.

size_t AL::Math::glTF::Document::add | ( | const Animation & | v | ) |
| inline

Definition at line 642 of file gltf.h.

void AL::Math::glTF::Document::writeJSON | ( | std::ostream & | os | ) | const
| inline

Definition at line 647 of file gltf.h.

## Member Data Documentation

std::vector<std::string> AL::Math::glTF::Document::accessors

Definition at line 621 of file gltf.h.

std::vector<Animation> AL::Math::glTF::Document::animations

Definition at line 627 of file gltf.h.

std::vector<std::string> AL::Math::glTF::Document::buffers

Definition at line 619 of file gltf.h.

std::vector<std::string> AL::Math::glTF::Document::bufferViews

Definition at line 620 of file gltf.h.

std::vector<std::string> AL::Math::glTF::Document::cameras

Definition at line 624 of file gltf.h.

std::vector<std::string> AL::Math::glTF::Document::materials

Definition at line 622 of file gltf.h.

std::vector<std::string> AL::Math::glTF::Document::meshes

Definition at line 623 of file gltf.h.

std::vector<std::string> AL::Math::glTF::Document::nodes

Definition at line 625 of file gltf.h.

boost::optional<size_t> AL::Math::glTF::Document::scene

Definition at line 628 of file gltf.h.

std::vector<std::string> AL::Math::glTF::Document::scenes

Definition at line 626 of file gltf.h.

The documentation for this class was generated from the following file:

- /home/opennao/work/release-2.8/lib/libalmath/almath/scenegraph/gltf.h